List connected accounts
curl --request GET \
--url https://connie.ai/api/workspaces/{workspaceId}/tool-accounts \
--header 'Cookie: <api-key>'import requests
url = "https://connie.ai/api/workspaces/{workspaceId}/tool-accounts"
headers = {"Cookie": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>'}};
fetch('https://connie.ai/api/workspaces/{workspaceId}/tool-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"accountName": "<string>",
"externalAccountEmail": "<string>",
"identifier": "<string>",
"status": "<string>",
"errorMessage": "<string>",
"connectedBy": "<string>",
"accessMode": "everyone",
"accessibleTo": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Connected accounts
List connected accounts
Returns the app accounts connected to the workspace that you are allowed to use. Accounts restricted to other people are left out.
GET
/
workspaces
/
{workspaceId}
/
tool-accounts
List connected accounts
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
Query Parameters
An app key, for example gmail or hubspot.
For example active.
Set to 1 to include accounts connected as MCP servers.
Available options:
1 Response
Connected accounts.
Show child attributes
Show child attributes